> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.sevalla.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List internal connections

> Retrieve all internal connections for a database. Internal connections allow services within the same cluster to communicate with each other. Returns connections where this database is either the source or target.



## OpenAPI

````yaml https://api.sevalla.com/v3/openapi.json get /databases/{id}/internal-connections
openapi: 3.1.0
info:
  title: Sevalla API docs
  version: 1.0.0
servers:
  - url: https://api.sevalla.com/v3
security:
  - bearerAuth: []
paths:
  /databases/{id}/internal-connections:
    get:
      tags:
        - Databases
      summary: List internal connections
      description: >-
        Retrieve all internal connections for a database. Internal connections
        allow services within the same cluster to communicate with each other.
        Returns connections where this database is either the source or target.
      operationId: listDatabaseInternalConnectionsV3
      parameters:
        - schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
            example: fb5e5168-4281-4bec-94c5-0d1584e9e657
          in: path
          name: id
          required: true
          description: Database identifier
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      format: uuid
                      pattern: >-
                        ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                      description: Internal connection identifier
                      example: fb5e5168-4281-4bec-94c5-0d1584e9e657
                    source_id:
                      type: string
                      description: Identifier of the source resource
                      example: fb5e5168-4281-4bec-94c5-0d1584e9e657
                    source_type:
                      type: string
                      enum:
                        - appResource
                        - dbResource
                      description: >-
                        Type of the source resource. `appResource` -
                        application. `dbResource` - database.
                      example: dbResource
                    source_name:
                      anyOf:
                        - type: string
                        - type: 'null'
                      description: System name of the source resource
                      example: my-database
                    source_display_name:
                      anyOf:
                        - type: string
                        - type: 'null'
                      description: Display name of the source resource
                      example: My Database
                    target_id:
                      type: string
                      description: Identifier of the target resource
                      example: fb5e5168-4281-4bec-94c5-0d1584e9e657
                    target_type:
                      type: string
                      enum:
                        - appResource
                        - dbResource
                      description: >-
                        Type of the target resource. `appResource` -
                        application. `dbResource` - database.
                      example: appResource
                    target_name:
                      anyOf:
                        - type: string
                        - type: 'null'
                      description: System name of the target resource
                      example: my-app
                    target_display_name:
                      anyOf:
                        - type: string
                        - type: 'null'
                      description: Display name of the target resource
                      example: My App
                  required:
                    - id
                    - source_id
                    - source_type
                    - source_name
                    - source_display_name
                    - target_id
                    - target_type
                    - target_name
                    - target_display_name
                  additionalProperties: false
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error message
                    example: Unauthorized
                  status:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                    description: HTTP status code
                    example: 401
                  data:
                    type: object
                    properties:
                      code:
                        description: Error tracking code for support reference
                        example: err-abc-123
                        type: string
                      message:
                        description: Additional error details or instructions
                        example: >-
                          If you need assistance, please contact support and
                          provide this error code.
                        type: string
                    additionalProperties: false
                required:
                  - message
                  - status
                additionalProperties: false
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error message
                    example: Forbidden
                  status:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                    description: HTTP status code
                    example: 403
                  data:
                    type: object
                    properties:
                      code:
                        description: Error tracking code for support reference
                        example: err-abc-123
                        type: string
                      message:
                        description: Additional error details or instructions
                        example: >-
                          If you need assistance, please contact support and
                          provide this error code.
                        type: string
                    additionalProperties: false
                required:
                  - message
                  - status
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error message
                    example: Not found
                  status:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                    description: HTTP status code
                    example: 404
                  data:
                    type: object
                    properties:
                      code:
                        description: Error tracking code for support reference
                        example: err-abc-123
                        type: string
                      message:
                        description: Additional error details or instructions
                        example: >-
                          If you need assistance, please contact support and
                          provide this error code.
                        type: string
                    additionalProperties: false
                required:
                  - message
                  - status
                additionalProperties: false
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error message
                    example: Internal Server Error
                  status:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                    description: HTTP status code
                    example: 500
                  data:
                    type: object
                    properties:
                      code:
                        description: Error tracking code for support reference
                        example: err-abc-123
                        type: string
                      message:
                        description: Additional error details or instructions
                        example: >-
                          If you need assistance, please contact support and
                          provide this error code.
                        type: string
                    additionalProperties: false
                required:
                  - message
                  - status
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key authentication. Pass your API key as a Bearer token in the
        Authorization header.

````